#include <cstdio>
#include <algorithm>
#include <iostream>


using namespace std;

int p[1000010];

int main()
{
    int a;
    int n;
    int k;
    int s = 0;
    cin>>n>>a;
    for(int i = 0; i<n; i++)
    {
        cin>>k;
        p[k+n]+=1;
    }
    for(int i = 0; i<2*n+1; i++)
    {
        if(p[i]>=a) s+=1;
    }
    cout<<s<<endl;
    for(int i = 0; i<2*n+1; i++)
    {
        if(p[i]>=a) cout<<i-n<<" ";
    }


    return 0;
}